Subject: RE: Problem running cygrunsrv with non SYSTEM accounts
From: "Aitken, Sean" <[email-masked]>
To: "Pierre A. Humblet" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 14 Jan 2005 16:57:50 -0600

Hi Pierre,

> Have you tried running a really simple service under account
> sshd_server, e.g. ones that simply executes /bin/env or 
> /bin/sleep 60 ?

I created a test service, using 'sshd_server' as the runner. The program
is /bin/env.

It did the same thing.
- No log file was created
- The status is:
$ cygrunsrv -Q test
Service test exists
Type                : Own Process
Current State       : Start Pending
Controls Accepted   : Accept Stop

> Also does starting with "net start" give any useful hint?

When I try to run it with "NET START ..." I get:
$ net start test
The test service is starting........
The test service could not be started.

More help is available by typing NET HELPMSG 3523.

When I switch it to SYSTEM:
"
saitken@DCESAP08 /var/log
$ cygrunsrv -S test
cygrunsrv: Error starting a service: QueryServiceStatus:  Win32 error
1062:
The service has not been started.

saitken@DCESAP08 /var/log
$ ls
setup.log.full  test.log

saitken@DCESAP08 /var/log
$ ls -al
total 100
drwxrwx---+ 2 saitken Users               0 Jan 14 15:56 .
drwxrwx---+ 7 saitken Users               0 Jan 11 15:22 ..
-rwxr-x---+ 1 saitken Users          100878 Jan 13 17:03 setup.log.full
-rw-r--r--  1 SYSTEM  Administrators    864 Jan 14 15:56 test.log
"

Of course, it says it can't be started because 'env' exited immedately.
But, the logfile was created. :0)

I think this can be narrowed down into a general problem running
'cygrunsrv' on Windows Server 2003 under certain conditions. Since the
machine was setup by someone else, I'm gonna try and get more info
regarding security and policy configurations.

Cheers!
-Sean

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/